//
//  Issue.h
//  FinotesCore
//
//  Created by Don Peter on 12/13/17.
//  Copyright © 2017 BasilGregory Software Labs Pvt Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Issue : NSObject

@property (nonatomic,strong) NSString *activityTrail;
@property (nonatomic,strong) NSString *deviceState;
@property (nonatomic,strong) NSString *exceptionType;
@property (nonatomic,strong) NSString *functionParameters;
@property (nonatomic,strong) NSString *functionSignature;
@property (nonatomic,strong) NSString *genericShortDescription;
@property (nonatomic,strong) NSString *identifier;
@property (nonatomic,strong) NSString *issueShortDescription;
@property (nonatomic,strong) NSString *location;
@property (nonatomic,strong) NSString *type;
@property (nonatomic,strong) NSString *networkParameters;
@property (nonatomic,strong) NSString *nextFunctionSignature;
@property (nonatomic,strong) NSString *previousFunctionSignature;
@property (nonatomic,strong) NSString *returnValue;
@property (nonatomic,strong) NSString *returnValueType;
@property (nonatomic,strong) NSString *stacktrace;
@property (nonatomic,strong) NSString *customIdentifier;
@property (nonatomic,strong) NSString *url;
@property (nonatomic,strong) NSString *method;

@property BOOL ended,expectNull,synced,timered, firstTime, typeForFirstTime;
@property int64_t eventEndTime,eventStartTime,exceptionLineNumber,occurrenceTime,requestFirstAttemptTime,returnValueSize,statusCode,timerTime;
@property int64_t expectedExecutionTime;
@property int64_t severity;
@property double expectedMaxDecimalValue,expectedMinDecimalValue;
@property int64_t expectedMinValue,expectedMaxValue;


@end
